[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#403120: marking lsb-base essential?

Package: lsb-base
Version: 3.1-22
Severity: wishlist


Yesterday I saw a package which uses the shell functions provided by
lsb-base but did not have a dependency against it and I came across this
topic. Currently lsb-base is required and prodivdes the init script
functions which should be used by the init scripts if possible.
Therefore I would suggest to mark lsb-base essential and thus making the
dependency against lsb-base unnecessary (of course except for specific
versions) as we want the init scripts in Debian to get standardized with
the lsb functions anyway.
Of course this is a thing for lenny and too late for etch.
Well these were my thoughts about it and I am curious of what the rest


Reply to: